commit:     bbd8d4008aea9addc0ac00d17e8a456190b4f80a
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 27 08:43:12 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Jan 27 09:26:12 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbd8d400

dev-python/futures: Version Bump

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/futures/Manifest             |  1 +
 dev-python/futures/futures-3.0.4.ebuild | 36 +++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/futures/Manifest b/dev-python/futures/Manifest
index e03eb7c..2de4d8c 100644
--- a/dev-python/futures/Manifest
+++ b/dev-python/futures/Manifest
@@ -1,3 +1,4 @@
 DIST futures-2.2.0.tar.gz 26786 SHA256 
151c057173474a3a40f897165951c0e33ad04f37de65b6de547ddef107fd0ed3 SHA512 
5f2a835b4b3f6bf1c4f086984a2e1d6ab30004b9af9298ef8afb23549014695ba26b43500dad3ee873e52aacd75911a42cd4ec9dfae6522cb99476a480dc83ee
 WHIRLPOOL 
5c38f64759d0f2a15a536e8a5cb5c7473ce61d46242fc0c0bc737dfe91ce9b6573c1291a6f305953b96cd6298e1e41f7e27b45a2f0c2647315826ad9a1246ccd
 DIST futures-3.0.2.tar.gz 24908 SHA256 
dc3fc91508e49e0fd2f8625f0132d16e49c80f882e7e1d565c56b0d5dfbae257 SHA512 
01525c16914506d1e82910c5994aacc011d1ed01e91b7e403203ed1aa22a8caa3ff759ff399dd72628bc211dcab0893852ac177f792711ee9f9037a64c7e5723
 WHIRLPOOL 
a59740472ca7cf339beb9ed44095d7f02b5701fcb2a28e41adc4dc6da63f23e5a629602010183ed611c4f60ba1a109563bd87242adb729ece12b57d63379e160
 DIST futures-3.0.3.tar.gz 24959 SHA256 
2fe2342bb4fe8b8e217f0d21b5921cbe5408bf966d9f92025e707e881b198bed SHA512 
2fa14df90e583ca86c47441b170a93435eb82fd37bb2e15d98e79c32fbe40fc3f602d762805de05fa8007df4a3ce92840915be59481b94ab4863aae884da74bd
 WHIRLPOOL 
661a1174815766717eb7b130929c7aeef08079228df8f092093ee6cf40f84041ae6729cc7c0f2b05080efd0d80c0f7885c3ae333f7e5f3d21ccf2cfc20cbaa44
+DIST futures-3.0.4.tar.gz 25091 SHA256 
19485d83f7bd2151c0aeaf88fbba3ee50dadfb222ffc3b66a344ef4952b782a3 SHA512 
490a42b547614e2a02fae487861ba8c8409c2e7c556ba81c6ea7a3096d06f7e083983b1e9b99dc978c4badc1dc30272f4a5cfa87c38b3d0ab8029673ee66f52c
 WHIRLPOOL 
5f3809d710743638b8aa3afdae0125771096858c88a8b2c5c533187736dad8b6bc8c38dad327b98d36183574b072c9268751645caa16132ac8df32715262f741

diff --git a/dev-python/futures/futures-3.0.4.ebuild 
b/dev-python/futures/futures-3.0.4.ebuild
new file mode 100644
index 0000000..360e3ad
--- /dev/null
+++ b/dev-python/futures/futures-3.0.4.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Backport of the concurrent.futures package from Python 3.2"
+HOMEPAGE="https://code.google.com/p/pythonfutures  
https://pypi.python.org/pypi/futures";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="doc"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       "${PYTHON}" test_futures.py || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+       local DOCS=( CHANGES )
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to